Migrators

Application Requirements

Various versions of PPM support particular combinations of Object Migrator, GL Migrator, and the following Oracle E-Business Suite Releases:

  • 11i (11.5.7 through 11.5.10.2 (CU2))

  • Release 12 (12.0.0 through 12.2.3 or later)

Note: Oracle no longer supports Oracle E-Business Suite Release 11 or Releases 11.5.1 through 11.5.6 (which are early releases of 11i), so Micro Focus no longer supports use of PPM Extensions, GL Migrator, or Object Migrator with those releases.

Each unshaded cell in Migrators lists the versions of PPM that support the combination of Oracle E-Business Suite release (in a table row) and a migrator (in a table column). Combinations that are not supported on any version of PPM are shown in the lightly shaded table cells.

Oracle E-Business Suite Release

Kintana Object* Migrator Version 5.1

Mercury Object Migrator Version 6.0

Micro Focus
Object Migrator Version 7.5

Object Migrator 12.2

GL Migrator Version 6.0

GL Migrator Version 9.12

11.5.7

Application Object Library: FND.E
Applications DBA: AD.F
Common Modules: AK.D
Financials Suite: Family Pack A

7.5, 8.0x,
9.1x, 9.2x, 9.3x, 9.40

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

 

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

8.0x, 9.1x, 9.2x, 9.3x, 9.40

11.5.8

Application Object Library: FND.F
Applications DBA: AD.G
Common Modules: AK.E
Financials Suite: Family Pack C

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

 

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

8.0x, 9.1x, 9.2x, 9.3x, 9.40

11.5.9 a

Application Object Library: FND.G
Applications DBA: AD.H
Common Modules: AK.F
Financials Suite: Family Pack D

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

 

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

8.0x, 9.1x, 9.2x, 9.3x, 9.40

11.5.10 with FND.H
Mini Pack b, c

Application Object Library: FND.H
Applications DBA:AD.I
Common Modules: AK.G
Financials Suite: Family Pack F
 

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

 

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

8.0x, 9.1x, 9.2x, 9.3x, 9.40

11.5.10.2 (CU2) c, d

Application Object Library:FND.H
Applications DBA: AD.I.6
Common Modules: AK.G
Financials Suite: Family Pack F
 

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

 

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

8.0x, 9.1x, 9.2x, 9.3x, 9.40

12.0.0 through 12.1.3 e

Applications Technology: R12.ATG_PF.A through R12.ATG_PF.B.DELTA.3
Applications DBA:
R12.AD.A through R12.AD.B.DELTA.3
   

7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40

   

8.0x f,

9.1x f, 9.2x, 9.3x, 9.40

Important: See footnote f.

12.2.3 or later       7.5, 8.0x, 9.1x, 9.2x, 9.3x, 9.40    

a. 11.5.8 with the FND.G Mini Pack is functionally equivalent to 11.5.9.

b. 11.5.8-11.5.9 with the FND.H Mini Pack is functionally equivalent to 11.5.10 (for Object Migrator).
11.5.8-11.5.9 with the Financials Family Pack F is functionally equivalent to 11.5.10 (for GL Migrator).

c. Support for the Oracle Applications E-Business Suite version 11.5.10 with the 10G database version requires installation of patch 154770. See the Object Migrator Version 6.0 Database version 10G Compatibility Patch (#154770) readme for details.

d. See the Object Migrator Oracle Apps Version 11.5.10.2 Compatibility Patch (#174141) readme for details.

e. Object Migrator version 7.5 requires patch PPMC_00090 in order to work with Oracle E-Business Suite Release 12.1.2 or later.

f. Using PPM version 8.0x with Oracle Release 12.1.3 (or later) and GL Migrator version 9.12 requires patch  PPMC_00097 for Deployment Management Extension for Oracle E-Business Suite version 8.00.
Using PPM version 9.1x with Oracle Release 12.1.3 (or later) and GL Migrator version 9.12 requires patch  PPMC_00098 for Deployment Management Extension for Oracle E-Business Suite version 9.10.

File and Table Space Requirements

The following table lists the file and table space requirements for Object Migrator. The table space sizings may vary widely depending on your database version, configuration, and the number of entities you have under version control.

Object Migrator file and table space requirements

Item

Required Space

Recommended Space

Install bundle

30 MB (temporary)

35 MB (temporary)

Install scripts

5 MB

 

Programs (.rdf files)

1.5 MB per program

30 MB total

 

Interface tables

30 MB

60 MB

Indexes on interface tables

20 MB

30 MB

Archive tables and indexes

30 MB

See Archive Tables.

60 MB

Archive Tables

When saving an object to the object archive, Object Migrator takes the entire definition of the entity and stores it in special archive tables. The growth of these archive tables directly corresponds to the number of objects and the number of versions put into these tables. For some objects, complexity and size may also be a factor.

If you plan to periodically store versions of entire groups of objects rather than only objects that change, then more table space will be required than the recommended 30 MB. We recommend starting with a 30 MB allocation and then adding table space as needed.